CMSIS-DSP: arm_fir_instance_f32 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_instance_f32 Struct Reference

Instance structure for the floating-point FIR filter. More...

## Data Fields
uint16_t | numTaps
float32_t * | pState
const float32_t * | pCoeffs

## Description

Examples:
  arm_fir_example_f32.c, and arm_signal_converge_example_f32.c.

## Field Documentation

uint16_t arm_fir_instance_f32::numTaps

number of filter coefficients in the filter.

const float32_t* arm_fir_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

float32_t* arm_fir_instance_f32::pState

points to the state variable array. The array is of length numTaps+blockSize-1.